#include <gp-bnb/graph.hpp>

graph::graph(std::vector<std::vector<unsigned int>> a) : vertices(a.size()), adjacency_list(a) {
}

unsigned int graph::num_vertices() const {
    return vertices;
}

std::vector<unsigned int> graph::get_adjacency(vertex_id v) const {
    return adjacency_list[v-1];
}
